Prospects

Import Status

GET/v1/prospects/import-status/{requestId}
GET
/v1/prospects/import-status/{requestId}

While importing prospect you will receive the requestId. Using that requestId you can check the status of the import process.

While importing prospect using v1/prospects/import-with-field-name and v1/sequences/prospects/import-with-field-name, you will receive the requestId.

Using that requestId, you can check the status of the import process. If there is any error during the import process, you will receive a CSV file link containing the error details.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

requestIdstring

Responses

200
Retrieve the prospect import status of requestId
{
  "isCompleted": true,
  "reportURL": "https://example.com/import-prospect/file?fileName=import+error+report.csv&key=failedProspect%2F95689%2F158b2ab10e4%2Fimport_err.csv"
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/prospects/import-status/{requestId}" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body